-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 2 of the Resource Manager schema for Oracle. The base schema;
-- modifications are made via separate pieces of migration code.
-- There is no Version 1. Starts with version 2 to match corresponding
-- MySql version.
--

-- The schema version, should be checked by the server during startup
CREATE TABLE RMAN_SCHEMA_VERSION (
    VERSION NUMBER(4, 0) NOT NULL
);

-- Update this value when the schema changes, also during migration
INSERT INTO RMAN_SCHEMA_VERSION VALUES (2);

CREATE SEQUENCE RMAN_USERGROUPHISTORY_SEQ;
CREATE TABLE RMAN_USERGROUPHISTORY (
    ID NUMBER(10,0) NOT NULL,
    USER_ VARCHAR2(64 CHAR) NOT NULL,
    GROUP_ VARCHAR2(64 CHAR) NOT NULL,
    SAMPLE_DATE NUMBER(19,0) NOT NULL,
    FILE_COUNT NUMBER(19,0) NOT NULL,
    BYTES NUMBER(19,0) NOT NULL,
    RAW_BYTES NUMBER(19,0) NOT NULL,
    PRIMARY KEY (ID)
);

CREATE SEQUENCE RMAN_WATCHEDDIR_SEQ;
CREATE TABLE RMAN_WATCHEDDIR (
    ID NUMBER(10,0) NOT NULL,
    PATH VARCHAR2(255 CHAR) NOT NULL,
    HDFSNAME VARCHAR2(255 CHAR) NOT NULL,
    PRIMARY KEY (ID)
);

CREATE SEQUENCE RMAN_WATCHEDDIRHISTORY_SEQ;
CREATE TABLE RMAN_WATCHEDDIRHISTORY (
    ID NUMBER(10,0) NOT NULL,
    WATCHEDDIRECTORY_ID NUMBER(10,0) NOT NULL,
    USER_ VARCHAR2(64 CHAR),
    GROUP_ VARCHAR2(64 CHAR),
    SAMPLE_DATE NUMBER(19,0) NOT NULL,
    FILE_COUNT NUMBER(19,0),
    BYTES NUMBER(19,0),
    RAW_BYTES NUMBER(19,0),
    ATIME TIMESTAMP,
    PRIMARY KEY (ID)
);

